i.MX8M Mini L5.4.24 2.1.0 glxgears error

cancel
Showing results for 
Search instead for 
Did you mean: 

i.MX8M Mini L5.4.24 2.1.0 glxgears error

243 Views
m_c
Senior Contributor I

Hardware: i.MX8M Mini EVK

Software: L5.4.24 2.1.0 prebuilt image imx-image-full-imx8mmevk.wic

Steps:

1. apt-get update

2. apt-get install mesa-utils

3. Execute glxgears under Wayland Terminal on HDMI display.

Error message:

Xlib: extension "GLX" missing on display ":0.0".

Error: couldn't get an RGB, Double-buffered visual

 
0 Kudos
4 Replies

195 Views
wenwang_hung
Contributor I

Hi!  I use glxgears to test GLX on fsl-imx-xwayland(support wayland graphics and X11) and It show the same errors message. Is it the problem in  L5.4.24 2.1.0 prebuilt image to run GLX ?!

~# LIBGL_DEBUG=verbose  glxgears

Xlib: extension "GLX" missing on display ":0.0".

Error: couldn't get an RGB, Double-buffered visual

0 Kudos

177 Views
Bio_TICFSL
NXP TechSupport
NXP TechSupport

Hello wenwang,

Do you have ubuntu? and the MX8 does not support X11, GLX won´t work

.Regards

 

0 Kudos

154 Views
wenwang_hung
Contributor I

Hi! Bio_TICFSL,

Thanks for you replay on glxgears issue. Then I try this two glmark2-es2 and glmark2-es2-wayland tools in the same Yacto Version. glmark2-es2-wayland run success, but glmark2-es2 run fail and show message:

 Debug: Using eglGetPlatformDisplayEXT()
 Debug: eglGetPlatformDisplayEXT() failed with error: 0x300c
 Debug: Falling back to eglGetDisplay()

This result seem to meet that "fsl-imx-xwayland- Wayland graphics and X11. X11 applications using EGL are not supported" in i.MX docuement.

At end,  I want run X11 APP on Xwayland, but this EGL path don't support. Could any solution which can run X11 APP on Xwayland to use GPU graphics on i.MX8 ?

 

0 Kudos

108 Views
Bio_TICFSL
NXP TechSupport
NXP TechSupport

Hi,

X11 is not supported by iMX8 BSPs, sorry.

Regards 

 

0 Kudos